seo:
  title: "GitLab\_Duo mit Amazon\_Q: DevSecOps trifft agentenbasierte KI"
  description: >-
    KI-basiertes DevSecOps, das mit autonomen KI-Tools erweitert wird, steigert
    die Produktivität der Entwickler(innen), die Anwendungsmodernisierung und
    beschleunigt Innovation.
  ogTitle: "GitLab\_Duo mit Amazon\_Q: DevSecOps trifft agentenbasierte KI"
  ogDescription: >-
    KI-basiertes DevSecOps, das mit autonomen KI-Tools erweitert wird, steigert
    die Produktivität der Entwickler(innen), die Anwendungsmodernisierung und
    beschleunigt Innovation.
  noIndex: false
  ogImage: images/blog/hero-images/Screenshot-2024-11-27-at-4.55.28 PM.png
  ogUrl: >-
    https://about.gitlab.com/blog/gitlab-duo-with-amazon-q-devsecops-meets-agentic-ai
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/gitlab-duo-with-amazon-q-devsecops-meets-agentic-ai
  schema: "\n                        {\n        \"@context\": \"https://schema.org\",\n        \"@type\": \"Article\",\n        \"headline\": \"GitLab\_Duo mit Amazon\_Q: DevSecOps trifft agentenbasierte KI\",\n        \"author\": [{\"@type\":\"Person\",\"name\":\"Emilio Salvador\"}],\n        \"datePublished\": \"2024-12-03\",\n      }\n                  "
content:
  title: "GitLab\_Duo mit Amazon\_Q: DevSecOps trifft agentenbasierte KI"
  description: >-
    KI-basiertes DevSecOps, das mit autonomen KI-Tools erweitert wird, steigert
    die Produktivität der Entwickler(innen), die Anwendungsmodernisierung und
    beschleunigt Innovation.
  authors:
    - Emilio Salvador
  heroImage: images/blog/hero-images/Screenshot-2024-11-27-at-4.55.28 PM.png
  date: '2024-12-03'
  body: "Es ist uns eine Freude, GitLab\_Duo mit Amazon\_Q anzukündigen, ein gemeinsames Angebot, das die umfassende, KI-basierte DevSecOps-Plattform von GitLab mit den autonomen KI-Tools von Amazon\_Q in einer einzigen, integrierten Lösung vereint.\n\nGitLab\_Duo mit Amazon\_Q verändert die Softwareentwicklung, indem es leistungsstarke KI-Tools direkt in deine täglichen Arbeitsabläufe integriert. Anstatt zwischen verschiedenen Tools zu wechseln, können Entwickler(innen) jetzt wichtige Aufgaben\_– von der Feature-Entwicklung bis hin zu Code Reviews\_– innerhalb der umfassenden DevSecOps-Plattform von GitLab beschleunigen. Die KI-Tools von Amazon\_Q fungieren als intelligente Assistenten, die zeitaufwändige Aufgaben wie die Codegenerierung aus Anforderungen, die Erstellung von Unit-Tests, die Durchführung von Code Reviews und die Modernisierung von Java-Anwendungen automatisieren. Dieses gemeinsame Angebot hilft Teams, sich auf Innovationen zu konzentrieren und gleichzeitig die Sicherheits- und Qualitätsstandards einzuhalten, indem es diese komplexen Aufgaben übernimmt.\n\nDieses erstklassige Entwicklererlebnis beinhaltet:\n* Die einheitliche GitLab-Plattform mit einem einzigen Datenspeicher, der das Erstellen, Testen, Paketieren und Bereitstellen von sicherem Code automatisiert.\n* GitLab\_Duo mit Amazon\_Q Developer, das den GitLab-Projektkontext nutzt, um aufgabenabhängige Änderungen an mehreren Dateien vorzunehmen\n* KI-Tools von Amazon\_Q, die in GitLab\_Duo integriert sind, die Tickets aktualisieren und Merge Requests pro Aufgabe erstellen, wobei die Berechtigung auf das Projekt beschränkt ist\n\n<div style=\"padding:56.25% 0 0 0;position:relative;\"><iframe src=\"https://player.vimeo.com/video/1033653810?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture; clipboard-write\" style=\"position:absolute;top:0;left:0;width:100%;height:100%;\" title=\"GitLab Duo and Amazon Q\"></iframe></div><script src=\"https://player.vimeo.com/api/player.js\"></script>\n\n## Partnerschaftsinnovation: GitLab und AWS\n\nGitLab\_Duo mit Amazon\_Q ist das Ergebnis einer engen Zusammenarbeit zwischen GitLab und AWS-Engineering-Teams, die unsere Stärken kombiniert, um die Softwareentwicklung zu verändern. Diese Partnerschaft vereint das Fachwissen von GitLab im Bereich Unified DevSecOps mit der führenden Rolle von AWS im Cloud Computing und schafft so eine innovative Lösung, die versteht, wie Entwickler(innen) arbeiten\n\nDurch die Integration der autonomen Agents von Amazon\_Q mit der umfassenden KI-basierten Plattform von GitLab haben wir mehr als nur eine technische Integration geschaffen. Wir haben eine Erfahrung geschaffen, mit der sich die KI-basierte Entwicklung natürlich anfühlt und die Sicherheit, Compliance und Zuverlässigkeit gewährleistet, die Unternehmen benötigen.\n\nBranchenanalyst(inn)en erkennen die Bedeutung dieser Integration für den Fortschritt der KI-basierten Softwareentwicklung:\n\n***„Mit diesem gemeinsamen Angebot bündeln GitLab und AWS ihre Stärken, um agentenbasierte KI in der Softwareentwicklung Realität werden zu lassen“, sagt Katie Norton, Research Manager bei IDC. „GitLab\_Duo mit Amazon\_Q geht starke Anwendungsfälle und kritische Herausforderungen an, mit denen Kund(inn)en das volle Potenzial der KI nutzen können.“***\n\n***„Sowohl Entwickler(innen) als auch die Unternehmen, für die sie arbeiten, sind zunehmend an vereinfachten und einheitlichen Erfahrungen interessiert“, sagt Rachel Stephens, Senior Analyst bei RedMonk. „Vor allem im Zeitalter der KI, in dem Sicherheit und Datenschutz an erster Stelle stehen, wollen Unternehmen die Möglichkeiten modernster Technologien nutzen, gleichzeitig aber auch Risiken kontrollieren und unzusammenhängende Software-Toolketten minimieren. Die Partnerschaft zwischen GitLab\_Duo und Amazon\_Q bietet Entwickler(inne)n die Werkzeuge, die sie im Rahmen einer durchgängigen DevSecOps-Erfahrung benötigen.“***\n\n## 4 wichtige Kundenvorteile \n\nGitLab\_Duo mit Amazon\_Q kombiniert KI-basiertes DevSecOps mit umfassenden Cloud-Computing-Funktionen. Gemeinsam helfen sie Entwicklungsteams bei folgenden Herausforderungen:\n\n### 1. Optimieren der Funktionsentwicklung von der Idee bis zum Code \n\nEntwicklungsteams verbringen oft Stunden damit, Anforderungen in Code zu übersetzen, was zu einer langsameren Bereitstellung und inkonsistenten Umsetzung führt. Du kannst jetzt den Agent „GitLab\_Duo mit Amazon\_Q“ mit dem neuen Schnellzugriff `/q dev` aufrufen. Damit wird eine Ticketbeschreibung in wenigen Minuten direkt in zusammenführbaren Code umgewandelt. Der Agent analysiert die Anforderungen, plant die Umsetzung und erstellt einen vollständigen Merge Request\_– alles unter Einhaltung der Entwicklungsstandards deines Teams. Teams können mit Hilfe von Feedback in Kommentaren schnell iterieren und so die Zeit von der Idee bis zur Produktion deutlich verkürzen.\n\n<div style=\"padding:56.25% 0 0 0;position:relative;\"><iframe src=\"https://player.vimeo.com/video/1034050110?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture; clipboard-write\" style=\"position:absolute;top:0;left:0;width:100%;height:100%;\" title=\"Feature Dev with Rev\"></iframe></div><script src=\"https://player.vimeo.com/api/player.js\"></script>\n\n### 2. Einfaches Modernisieren von Legacy-Code\n\nDas Upgraden von Java-Anwendungen erfordert normalerweise wochenlange sorgfältige Planung, manuelle Codeänderungen und umfangreiche Tests. Der Schnellzugriff `/q transform` automatisiert den gesamten Prozess der Java-Modernisierung für dich. In wenigen Minuten, nicht Stunden, analysiert der Agent deine Codebase in Java\_8 oder 11, erstellt einen umfassenden Upgrade-Plan und generiert vollständig dokumentierte Merge Requests für die Migration auf Java\_17. Jede Änderung ist nachvollziehbar, was den Teams Vertrauen gibt und die Sicherheit und Leistung der Anwendung verbessert.\n\n<div style=\"padding:56.25% 0 0 0;position:relative;\"><iframe src=\"https://player.vimeo.com/video/1034050145?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture; clipboard-write\" style=\"position:absolute;top:0;left:0;width:100%;height:100%;\" title=\"QCT\"></iframe></div><script src=\"https://player.vimeo.com/api/player.js\"></script>\n\n### 3. Beschleunigen von Code Reviews ohne Qualitätseinbußen \n\nCode Reviews führen oft zu Engpässen: Teams warten tagelang auf Feedback, müssen aber konsistente Standards einhalten. Mit dem Schnellzugriff `/q review` bekommst du sofort intelligentes Feedback zur Codequalität und -sicherheit direkt in Merge Requests. Durch die automatische Identifizierung potenzieller Probleme und Verbesserungsvorschläge, die auf deinen Standards basieren, können Teams qualitativ hochwertigen Code pflegen und gleichzeitig die Überprüfungszyklen drastisch reduzieren.\n\n<div style=\"padding:56.25% 0 0 0;position:relative;\"><iframe src=\"https://player.vimeo.com/video/1034050136?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture; clipboard-write\" style=\"position:absolute;top:0;left:0;width:100%;height:100%;\" title=\"Code Reviews\"></iframe></div><script src=\"https://player.vimeo.com/api/player.js\"></script>\n\n### 4. Automatisieren von Tests, um mit Zuversicht zu veröffentlichen\n\nDie manuelle Testerstellung ist zeitaufwändig und führt oft zu einer uneinheitlichen Testabdeckung im Team. Mit dem Schnellzugriff `/q test` kannst du automatisch umfangreiche Unit-Tests generieren, die deine Anwendungslogik verstehen. Der Agent sorgt für eine gründliche Abdeckung kritischer Pfade und Sonderfälle und passt sie an deine bestehenden Testmuster an. Dank dieser Automatisierung können Teams Probleme früher erkennen und konsistente Qualitätsstandards einhalten, was den Entwickler(inne)n wertvolle Zeit spart.\n\n<div style=\"padding:54.37% 0 0 0;position:relative;\"><iframe src=\"https://player.vimeo.com/video/1034050181?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture; clipboard-write\" style=\"position:absolute;top:0;left:0;width:100%;height:100%;\" title=\"Use GitLab Duo with Amazon Q to add tests\"></iframe></div><script src=\"https://player.vimeo.com/api/player.js\"></script>\n\n## Inklusive Sicherheit und Leitlinien auf Enterprise-Niveau\n\nDieses Angebot wurde für den Einsatz in Unternehmen entwickelt und kombiniert die integrierten Sicherheits-, Compliance- und Datenschutzfunktionen von GitLab mit dem KI-Tool von Amazon\_Q. Es beschleunigt die Arbeitsabläufe von Entwickler(inne)n und hilft Unternehmen, sichere Software schneller bereitzustellen.\n\nDie Integration bietet:\n\n* Integrierte Leitlinien, die die Entwicklungsgeschwindigkeit aufrechterhalten  \n* Granulare Kontrollen für KI-basierte Funktionen auf Benutzer-, Projekt- und Gruppenebene  \n* End-to-End-Sicherheitsintegration in bestehende Workflows\n\nDevSecOps-Teams können die Entwicklungsumgebung mit der weltweit am weitesten verbreiteten Cloud sicher skalieren.\n\n## Ausblick\n\nGitLab\_Duo mit Amazon\_Q baut auf unserer bestehenden Integration mit [AWS, angekündigt im Mai\_2024 (nur in englischer Sprache)](https://press.aboutamazon.com/2024/4/aws-announces-general-availability-of-amazon-q-the-most-capable-generative-ai-powered-assistant-for-accelerating-software-development-and-leveraging-companies-internal-data) auf und stellt einen bedeutenden Schritt vorwärts in unserer gemeinsamen Mission dar, die Softwareentwicklung zu verändern. Diese weiterführende Integration von KI-Funktionen markiert den Beginn unserer erweiterten Zusammenarbeit mit AWS. Bei der Weiterentwicklung dieser Fähigkeiten werden wir uns auf Folgendes konzentrieren:\n\n* Ausweitung der KI-Funktionen auf den gesamten Entwicklungslebenszyklus  \n* Steigerung der Entwicklerproduktivität  \n* Erfüllung der Entwicklungsanforderungen von Unternehmen im großen Maßstab\n\n**GitLab\_Duo mit Amazon\_Q ist ab heute im [öffentlichen Branch (nur in englischer Sprache)](https://gitlab.com/groups/gitlab-org/-/epics/16059) des GitLab.org-Projekts verfügbar. Eine Vorschau und weitere Informationen darüber, wie es deinen Softwareentwicklungsprozess verändern kann, findest du auf [unserer Website](https://about.gitlab.com/partners/technology-partners/aws/#interest).**"
  category: KI/ML
  tags:
    - news
    - AWS
    - AI/ML
    - DevSecOps platform
    - integrations
config:
  slug: gitlab-duo-with-amazon-q-devsecops-meets-agentic-ai
  featured: true
  template: BlogPost
